API RestDashboards
Dernière mise à jour le 20 juillet 2026
Create a widget from an AI prompt using the existing agents run pipeline.
Authorization
JwtAuth AuthorizationBearer <token>
In: header
Path Parameters
dashboard_id*Dashboard Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/items/agent" \ -H "Content-Type: application/json" \ -d '{ "dataset_ids": [ "7e733a3d-b346-4530-98b2-0edaf7a10014" ], "prompt": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "item_type": "string", "chart_id": "96c0f382-99ab-4149-819c-1bbf9637fbf3", "content": {}, "position": {}, "settings": {}, "order": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "chart": {}}Continuer plus loin